## chiark-tcl-applet 1.0-1

=== Makefile ===

# Copyright 2016,2020 Ian Jackson
# SPDX-License-Identifier: GPL-3.0-or-later
# There is NO WARRANTY.

INSTALL ?= install
INSTALL_SCRIPT ?= $(INSTALL) -m 755
INSTALL_DATA ?= $(INSTALL) -m 644

prefix ?= /usr/local

p=chiark-tcl-applet

bindir=$(prefix)/bin
sharedir=$(prefix)/share/$p

SCRIPTS += xbatmon-simple-tray
TCLLIBS += $(addsuffix .tcl, applet args subproc utils)

SEDDED_SCRIPTS= $(addprefix tmp/, $(SCRIPTS))

all:	$(SEDDED_SCRIPTS)

tmp:
	mkdir -p tmp

tmp/%:	% tmp
	sed '1,/^source/ s#^set lib \.#set lib $(sharedir)#' $* >$@
	chmod +x $@

install: all
	$(INSTALL) -d $(addprefix $(DESTDIR), $(bindir) $(sharedir))
	$(INSTALL_SCRIPT) $(SEDDED_SCRIPTS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(TCLLIBS) $(DESTDIR)$(sharedir)

clean:
	rm -rf tmp

=== debian/changelog ===
chiark-tcl-applet (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 10 Mar 2020 15:14:47 +0000

# Copyright 2016,2020 Ian Jackson
# SPDX-License-Identifier: MIT
# There is NO WARRANTY.

=== debian/control ===
Source: chiark-tcl-applet
Build-Depends: debhelper (>= 12~)
Section: x11
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 4.5.0.0

Package: chiark-tcl-applet
Depends: wish, tk-tktray, chiark-utils-bin, ${misc:Depends}
Suggests: trayer | stalonetray
Architecture: all
Section: x11
Priority: optional
Description: Tray widget for battery monitor and other X11 programs
 xbatmon-simple-tray is a battery status display, with useful
 tooltip, which sits in your system tray.
 .
 There is also an example script which can embed any X11 program
 in your system tray.
 .
 If you do not yet have an X11 system tray (eg because you are not
 running a desktop environment with panel), consider trayer or
 stalonetray.

# Copyright 2016,2020 Ian Jackson
# SPDX-License-Identifier: MIT
# There is NO WARRANTY.

## chiark-tcl-applet 1.0-2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 bindir=$(prefix)/bin
 sharedir=$(prefix)/share/$p
 
-SCRIPTS += xbatmon-simple-tray
+SCRIPTS += xbatmon-simple-tray chiark-tcl-applet-wrapper
 TCLLIBS += $(addsuffix .tcl, applet args subproc utils)
 
 SEDDED_SCRIPTS= $(addprefix tmp/, $(SCRIPTS))

=== debian/changelog ===
chiark-tcl-applet (1.0-2) unstable; urgency=medium

  * chiark-tcl-applet-wrapper: Ship it and describe it a bit better

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 07 Jun 2020 17:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  xbatmon-simple-tray is a battery status display, with useful
  tooltip, which sits in your system tray.
  .
- There is also an example script which can embed any X11 program
- in your system tray.
+ There is also an wrapper script, chiark-tcl-applet-wrapper, which
+ can embed any X11 program in your system tray.
  .
  If you do not yet have an X11 system tray (eg because you are not
  running a desktop environment with panel), consider trayer or

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2016,2020 Ian Jackson
# SPDX-License-Identifier: MIT
# There is NO WARRANTY.

export prefix=/usr

%:
	dh $@

debian/copyright: debian/copyright.head debian/copyright.tail \
			 README debian/rules
	cat >$@.tmp debian/copyright.head
	sed >>$@.tmp <README -n \
		'/^Legal information$$/,$$ { s/^$$/./; s/^/ /; p; }'
	cat >>$@.tmp debian/copyright.tail
	mv -f $@.tmp $@

## chiark-tcl-applet 1.0-2build1

=== debian/changelog ===
chiark-tcl-applet (1.0-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Nov 2025 18:04:24 +0000
